<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fetch API</title>
</head>
<body>
    <h1>Using Fetch API</h1>
    <div id="output"></div>

    <button id="btn1">Get Data</button>
    
    
    <script>
        const btn1 = document.querySelector("#btn1");

        const getData = () => {
            //promise
            // fetch("https://jsonplaceholder.typicode.com/users").then((response) => {
            //     // console.log("resolved", response);
            //     return response.json();
            // }).then((data) => {
            //     console.log(data);
            // })
            // .catch((err) => {
            //     console.log("rejected", err);
            // });

            fetch("https://jsonplaceholder.typicode.com/users").then((response) => {
                return response.json();
            }).then((data) => {
                console.log(data)
                let users = "";
                data.forEach((user) => {
                    users += `
                    <div>
                        <h3>${user.name}</h3>
                        <p>${user.email}</p>
                    </div>`
                });
                document.querySelector("#output").innerHTML = users;
            }).catch((err) => {
                console.log("rejected", err)
            });
            
        }

        btn1.addEventListener("click", getData)
       


    </script>
</body>
</html>